/**
* Class: DrawTools
* Some static methods to make drawing from AS with the drawing API easier.
*
* Author:
* Kelvin Luck
*/
class com.kelvinluck.util.DrawTools 
{
	
	/**
	* Function: DrawTools
	* Constructor
	**/
	function DrawTools()
	{
	}
	
	/**
	* Function: drawRectangle
	**/
	static function drawRectangle(mc:MovieClip, x:Number, y:Number, width:Number, height:Number, fillColour:Number)
	{
		mc.moveTo(x, y);
		if (fillColour) {
			mc.beginFill(fillColour);
		}
		mc.lineStyle();
		mc.lineTo(x+width, y);
		mc.lineTo(x+width, y+height);
		mc.lineTo(x, y+height);
		mc.lineTo(x, y);
		mc.endFill();
	}
	
	/**
	* Function: toString
	**/
	public function toString():String
	{
		return "[com.kelvinluck.util.DrawTools]";
	}
}